Package org.apache.cxf.databinding.source

## Class NodeDataWriter

- java.lang.Object
- - org.apache.cxf.databinding.source.NodeDataWriter

- All Implemented Interfaces:
    `DataWriter<Node>`

      public class NodeDataWriter
      extends Object
      implements DataWriter<Node>

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cxf.databinding.DataWriter

      `ENDPOINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeDataWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setAttachments​(Collection<Attachment> attachments)` | Attach a collection of attachments to this writer.
    `void` | `setProperty​(String key, Object value)` | Set a property for the writer.
    `void` | `setSchema​(Schema s)` | Attach a schema to the writer.
    `void` | `write​(Object obj, MessagePartInfo part, Node output)` | Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
    `void` | `write​(Object obj, Node n)` | Write an object to an output sink.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeDataWriter

          public NodeDataWriter()

  - ### Method Detail

    - #### write

          public void write​(Object obj,
                            MessagePartInfo part,
                            Node output)

      Description copied from interface: `DataWriter`
      Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
      Specified by:
        `write` in interface `DataWriter<Node>`
      Parameters:
        `obj` - The object to write.
        `part` - the message part.
        `output` - the output sink.

    - #### write

          public void write​(Object obj,
                            Node n)

      Description copied from interface: `DataWriter`
      Write an object to an output sink.
      Specified by:
        `write` in interface `DataWriter<Node>`
      Parameters:
        `obj` - the object to write.
        `n` - the output sink.

    - #### setSchema

          public void setSchema​(Schema s)

      Description copied from interface: `DataWriter`
      Attach a schema to the writer. If the binding supports validation, it will validate the XML that it produces (assuming that it produces XML).
      Specified by:
        `setSchema` in interface `DataWriter<Node>`
      Parameters:
        `s` - the schema.

    - #### setAttachments

          public void setAttachments​(Collection<Attachment> attachments)

      Description copied from interface: `DataWriter`
      Attach a collection of attachments to this writer.
      Specified by:
        `setAttachments` in interface `DataWriter<Node>`

    - #### setProperty

          public void setProperty​(String key,
                                  Object value)

      Description copied from interface: `DataWriter`
      Set a property for the writer.
      Specified by:
        `setProperty` in interface `DataWriter<Node>`
      Parameters:
        `key` - property key
        `value` - property value.